Skip to content
ShopentlyLearn

Products · Withdraw offer

This operation has been retired and returns 409 without changing data. Set access separately for each digital file using the audience operation.

POST/api/v1/products/{product_id}/file-releases/{release_id}/withdraw

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001/withdraw \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-withdraw_release_api_v1_products__product_id__file_releases__release_id__withdraw_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1}'

Response

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
Manage product files · Digital productscatalog.product_file:write_digital